utl::meta::wrap< F > Struct Template Reference

`#include <invoke.h>`

## Public Types

template<typename... Args>
using | apply = F< Args... >

## Detailed Description

### template<template< typename... > class F>
struct utl::meta::wrap< F >

wrap

wrap is a higher-order primitive that wraps an n-ary Metafunction to create a corresponding Metafunction Class (Invocable). This way we can pass Metafunctions as types to other metafunctions and let them `invoke` the inner templated apply

Definition at line 100 of file invoke.h.

## Member Typedef Documentation

## apply

template<template< typename... > class F>
template<typename... Args>

using utl::meta::wrap< F >::apply = F<Args...>

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

Definition at line 102 of file invoke.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/invoke.h